## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.source
Interface ObjectviewerConstants

    public interface ObjectviewerConstants

Author:
  asarvesh

Field Summary
`static java.lang.String` `AFTER`
`static java.lang.String` `ALL_LOCATION`
`static java.lang.String` `AND`
`static java.lang.String` `AS`
`static java.lang.String` `AS_BEGIN`
`static java.lang.String` `AT`
`static java.lang.String[]` `BackupEnd_CONDITIONS`
`static java.lang.String` `BEFORE`
`static java.lang.String` `BEGIN`
`static java.lang.String` `BETWEEN`
`static int` `CONDITION_EVENT`
`static java.lang.String[]` `Connect_CONDITIONS`
`static java.lang.String[]` `ConnectFailed_CONDITIONS`
`static java.lang.String` `CONSOLIDATED_LOCATION`
`static java.lang.String` `CREATE_EVENT`
`static java.lang.String` `CREATE_FUNCTION`
`static java.lang.String` `CREATE_PROCEDURE`
`static java.lang.String` `CREATE_TRIGGER`
`static java.lang.String[]` `DatabaseStart_CONDITIONS`
`static java.text.DateFormat` `DATE_FORMAT` Used for event schedule FORMATTING only
`static java.lang.String[]` `DAYS_OF_THE_WEEK`
`static java.lang.String[]` `DBDiskSpace_CONDITIONS`
`static java.lang.String` `DBFREEPERCENT`
`static java.lang.String` `DBFREESPACE`
`static java.lang.String` `DBSIZE`
`static java.lang.String` `DECLARE`
`static java.lang.String` `DELETE`
`static java.lang.String` `DETERMINISTIC`
`static java.lang.String` `DISABLE`
`static java.lang.String[]` `Disconnect_CONDITIONS`
`static java.lang.String` `ENABLE`
`static java.lang.String` `END`
`static java.lang.String` `ERRORNUMBER`
`static java.lang.String` `EVENT_CONDITION`
`static int` `EVENT_TYPE_BACKUPEND`
`static int` `EVENT_TYPE_CONNECT`
`static int` `EVENT_TYPE_CONNECTFAILED`
`static int` `EVENT_TYPE_DATABASESTART`
`static int` `EVENT_TYPE_DBDISKSPACE`
`static int` `EVENT_TYPE_DISCONNECT`
`static int` `EVENT_TYPE_GLOBALAUTOINCREMENT`
`static int` `EVENT_TYPE_GROWLOG`
`static int` `EVENT_TYPE_GROWNDB`
`static int` `EVENT_TYPE_GROWTEMP`
`static int` `EVENT_TYPE_LOGDISKSPACE`
`static int` `EVENT_TYPE_RAISERROR`
`static int` `EVENT_TYPE_SERVERIDLE`
`static int` `EVENT_TYPE_TEMPDISKSPACE`
`static java.lang.String` `EVERY`
`static java.lang.String` `FOR`
`static java.lang.String` `FOR_EACH_ROW`
`static java.lang.String` `FOR_EACH_STATMENT`
`static java.lang.String[]` `GlobalAutoincrement_CONDITIONS`
`static java.lang.String[]` `GrowDB_CONDITIONS`
`static java.lang.String[]` `GrowLog_CONDITIONS`
`static java.lang.String[]` `GrowTemp_CONDITIONS`
`static java.lang.String` `HANDLER`
`static java.lang.String` `IDLETIME`
`static java.lang.String` `INSERT`
`static java.lang.String` `INTERVAL`
`static java.lang.String[]` `LOCATION_LIST`
`static java.lang.String[]` `LogDiskSpace_CONDITIONS`
`static java.lang.String` `LOGFREEPERCENT`
`static java.lang.String` `LOGFREESPACE`
`static java.lang.String` `LOGSIZE`
`static int` `MANUAL_EVENT`
`static java.lang.String` `NEW`
`static java.lang.String` `NOT_DETERMINISTIC`
`static java.lang.String` `OLD`
`static java.lang.String` `ON`
`static java.lang.String` `ON_EXCEPTION_RESUME`
`static java.lang.String` `ONE_NEW_LINE`
`static java.lang.String` `ONE_SPACE`
`static java.lang.String` `ONE_TAB`
`static java.lang.String[]` `OPERATORS`
`static java.lang.String` `ORDER`
`static java.lang.String` `PRINT`
`static java.lang.String[]` `RAISERROR_CONDITIONS`
`static java.lang.String` `REFERENCING`
`static java.lang.String` `REMAINNGVALUES`
`static java.lang.String` `REMOTE_LOCATION`
`static java.lang.String` `RESULT`
`static java.lang.String` `RETURN`
`static java.lang.String` `RETURNS`
`static java.lang.String` `SCHEDULE`
`static int` `SCHEDULE_EVENT`
`static java.lang.String[]` `ServerIdle_CONDITIONS`
`static java.lang.String` `START_DATE`
`static java.lang.String` `START_TIME`
`static int` `START_TIME_TYPE_AT`
`static int` `START_TIME_TYPE_BTWN`
`static java.lang.String[]` `SYSEVENT_TYPE_MAPPING`
`static java.lang.String[]` `SYSTEM_EVENTS_DESC_LIST`
`static java.lang.String[]` `SYSTEM_EVENTS_LIST`
`static java.lang.String[]` `TempDiskSpace_CONDITIONS`
`static java.lang.String` `TEMPFREEPERCENT`
`static java.lang.String` `TEMPFREESPACE`
`static java.lang.String` `TEMPSIZE`
`static java.text.DateFormat` `TIME_FORMAT`
`static java.lang.String[]` `TIME_UNITS`
`static java.lang.String` `TYPE`
`static java.lang.String` `UPDATE`
`static java.lang.String` `UPDATE_OF`
`static java.lang.String` `WHERE`
`static java.lang.String` `WITH_RECOMPILE`

Field Detail

### CREATE_FUNCTION

    static final java.lang.String CREATE_FUNCTION

See Also:
  Constant Field Values

### BEGIN

    static final java.lang.String BEGIN

See Also:
  Constant Field Values

### AS_BEGIN

    static final java.lang.String AS_BEGIN

See Also:
  Constant Field Values

### END

    static final java.lang.String END

See Also:
  Constant Field Values

### RETURN

    static final java.lang.String RETURN

See Also:
  Constant Field Values

### DECLARE

    static final java.lang.String DECLARE

See Also:
  Constant Field Values

### RETURNS

    static final java.lang.String RETURNS

See Also:
  Constant Field Values

### DETERMINISTIC

    static final java.lang.String DETERMINISTIC

See Also:
  Constant Field Values

### ON_EXCEPTION_RESUME

    static final java.lang.String ON_EXCEPTION_RESUME

See Also:
  Constant Field Values

### NOT_DETERMINISTIC

    static final java.lang.String NOT_DETERMINISTIC

See Also:
  Constant Field Values

### CREATE_PROCEDURE

    static final java.lang.String CREATE_PROCEDURE

See Also:
  Constant Field Values

### RESULT

    static final java.lang.String RESULT

See Also:
  Constant Field Values

### PRINT

    static final java.lang.String PRINT

See Also:
  Constant Field Values

### WITH_RECOMPILE

    static final java.lang.String WITH_RECOMPILE

See Also:
  Constant Field Values

### ONE_SPACE

    static final java.lang.String ONE_SPACE

See Also:
  Constant Field Values

### ONE_TAB

    static final java.lang.String ONE_TAB

See Also:
  Constant Field Values

### ONE_NEW_LINE

    static final java.lang.String ONE_NEW_LINE

See Also:
  Constant Field Values

### AFTER

    static final java.lang.String AFTER

See Also:
  Constant Field Values

### BEFORE

    static final java.lang.String BEFORE

See Also:
  Constant Field Values

### FOR_EACH_ROW

    static final java.lang.String FOR_EACH_ROW

See Also:
  Constant Field Values

### FOR_EACH_STATMENT

    static final java.lang.String FOR_EACH_STATMENT

See Also:
  Constant Field Values

### REFERENCING

    static final java.lang.String REFERENCING

See Also:
  Constant Field Values

### NEW

    static final java.lang.String NEW

See Also:
  Constant Field Values

### OLD

    static final java.lang.String OLD

See Also:
  Constant Field Values

### AS

    static final java.lang.String AS

See Also:
  Constant Field Values

### CREATE_TRIGGER

    static final java.lang.String CREATE_TRIGGER

See Also:
  Constant Field Values

### FOR

    static final java.lang.String FOR

See Also:
  Constant Field Values

### ON

    static final java.lang.String ON

See Also:
  Constant Field Values

### INSERT

    static final java.lang.String INSERT

See Also:
  Constant Field Values

### UPDATE

    static final java.lang.String UPDATE

See Also:
  Constant Field Values

### DELETE

    static final java.lang.String DELETE

See Also:
  Constant Field Values

### ORDER

    static final java.lang.String ORDER

See Also:
  Constant Field Values

### UPDATE_OF

    static final java.lang.String UPDATE_OF

See Also:
  Constant Field Values

### DAYS_OF_THE_WEEK

    static final java.lang.String[] DAYS_OF_THE_WEEK

### TIME_UNITS

    static final java.lang.String[] TIME_UNITS

### MANUAL_EVENT

    static final int MANUAL_EVENT

See Also:
  Constant Field Values

### CONDITION_EVENT

    static final int CONDITION_EVENT

See Also:
  Constant Field Values

### SCHEDULE_EVENT

    static final int SCHEDULE_EVENT

See Also:
  Constant Field Values

### SYSEVENT_TYPE_MAPPING

    static final java.lang.String[] SYSEVENT_TYPE_MAPPING

### CREATE_EVENT

    static final java.lang.String CREATE_EVENT

See Also:
  Constant Field Values

### HANDLER

    static final java.lang.String HANDLER

See Also:
  Constant Field Values

### AT

    static final java.lang.String AT

See Also:
  Constant Field Values

### ENABLE

    static final java.lang.String ENABLE

See Also:
  Constant Field Values

### DISABLE

    static final java.lang.String DISABLE

See Also:
  Constant Field Values

### ALL_LOCATION

    static final java.lang.String ALL_LOCATION

See Also:
  Constant Field Values

### CONSOLIDATED_LOCATION

    static final java.lang.String CONSOLIDATED_LOCATION

See Also:
  Constant Field Values

### REMOTE_LOCATION

    static final java.lang.String REMOTE_LOCATION

See Also:
  Constant Field Values

### LOCATION_LIST

    static final java.lang.String[] LOCATION_LIST

### SCHEDULE

    static final java.lang.String SCHEDULE

See Also:
  Constant Field Values

### BETWEEN

    static final java.lang.String BETWEEN

See Also:
  Constant Field Values

### AND

    static final java.lang.String AND

See Also:
  Constant Field Values

### START_TIME

    static final java.lang.String START_TIME

See Also:
  Constant Field Values

### START_DATE

    static final java.lang.String START_DATE

See Also:
  Constant Field Values

### EVERY

    static final java.lang.String EVERY

See Also:
  Constant Field Values

### TYPE

    static final java.lang.String TYPE

See Also:
  Constant Field Values

### EVENT_CONDITION

    static final java.lang.String EVENT_CONDITION

See Also:
  Constant Field Values

### WHERE

    static final java.lang.String WHERE

See Also:
  Constant Field Values

### START_TIME_TYPE_AT

    static final int START_TIME_TYPE_AT

See Also:
  Constant Field Values

### START_TIME_TYPE_BTWN

    static final int START_TIME_TYPE_BTWN

See Also:
  Constant Field Values

### SYSTEM_EVENTS_LIST

    static final java.lang.String[] SYSTEM_EVENTS_LIST

### SYSTEM_EVENTS_DESC_LIST

    static final java.lang.String[] SYSTEM_EVENTS_DESC_LIST

### INTERVAL

    static final java.lang.String INTERVAL

See Also:
  Constant Field Values

### DBFREEPERCENT

    static final java.lang.String DBFREEPERCENT

See Also:
  Constant Field Values

### DBFREESPACE

    static final java.lang.String DBFREESPACE

See Also:
  Constant Field Values

### REMAINNGVALUES

    static final java.lang.String REMAINNGVALUES

See Also:
  Constant Field Values

### DBSIZE

    static final java.lang.String DBSIZE

See Also:
  Constant Field Values

### LOGSIZE

    static final java.lang.String LOGSIZE

See Also:
  Constant Field Values

### TEMPSIZE

    static final java.lang.String TEMPSIZE

See Also:
  Constant Field Values

### LOGFREEPERCENT

    static final java.lang.String LOGFREEPERCENT

See Also:
  Constant Field Values

### LOGFREESPACE

    static final java.lang.String LOGFREESPACE

See Also:
  Constant Field Values

### ERRORNUMBER

    static final java.lang.String ERRORNUMBER

See Also:
  Constant Field Values

### IDLETIME

    static final java.lang.String IDLETIME

See Also:
  Constant Field Values

### TEMPFREEPERCENT

    static final java.lang.String TEMPFREEPERCENT

See Also:
  Constant Field Values

### TEMPFREESPACE

    static final java.lang.String TEMPFREESPACE

See Also:
  Constant Field Values

### OPERATORS

    static final java.lang.String[] OPERATORS

### BackupEnd_CONDITIONS

    static final java.lang.String[] BackupEnd_CONDITIONS

### Connect_CONDITIONS

    static final java.lang.String[] Connect_CONDITIONS

### ConnectFailed_CONDITIONS

    static final java.lang.String[] ConnectFailed_CONDITIONS

### DatabaseStart_CONDITIONS

    static final java.lang.String[] DatabaseStart_CONDITIONS

### DBDiskSpace_CONDITIONS

    static final java.lang.String[] DBDiskSpace_CONDITIONS

### Disconnect_CONDITIONS

    static final java.lang.String[] Disconnect_CONDITIONS

### GlobalAutoincrement_CONDITIONS

    static final java.lang.String[] GlobalAutoincrement_CONDITIONS

### GrowDB_CONDITIONS

    static final java.lang.String[] GrowDB_CONDITIONS

### GrowLog_CONDITIONS

    static final java.lang.String[] GrowLog_CONDITIONS

### GrowTemp_CONDITIONS

    static final java.lang.String[] GrowTemp_CONDITIONS

### LogDiskSpace_CONDITIONS

    static final java.lang.String[] LogDiskSpace_CONDITIONS

### RAISERROR_CONDITIONS

    static final java.lang.String[] RAISERROR_CONDITIONS

### ServerIdle_CONDITIONS

    static final java.lang.String[] ServerIdle_CONDITIONS

### TempDiskSpace_CONDITIONS

    static final java.lang.String[] TempDiskSpace_CONDITIONS

### EVENT_TYPE_GLOBALAUTOINCREMENT

    static final int EVENT_TYPE_GLOBALAUTOINCREMENT

See Also:
  Constant Field Values

### EVENT_TYPE_TEMPDISKSPACE

    static final int EVENT_TYPE_TEMPDISKSPACE

See Also:
  Constant Field Values

### EVENT_TYPE_LOGDISKSPACE

    static final int EVENT_TYPE_LOGDISKSPACE

See Also:
  Constant Field Values

### EVENT_TYPE_DBDISKSPACE

    static final int EVENT_TYPE_DBDISKSPACE

See Also:
  Constant Field Values

### EVENT_TYPE_RAISERROR

    static final int EVENT_TYPE_RAISERROR

See Also:
  Constant Field Values

### EVENT_TYPE_BACKUPEND

    static final int EVENT_TYPE_BACKUPEND

See Also:
  Constant Field Values

### EVENT_TYPE_CONNECTFAILED

    static final int EVENT_TYPE_CONNECTFAILED

See Also:
  Constant Field Values

### EVENT_TYPE_DISCONNECT

    static final int EVENT_TYPE_DISCONNECT

See Also:
  Constant Field Values

### EVENT_TYPE_CONNECT

    static final int EVENT_TYPE_CONNECT

See Also:
  Constant Field Values

### EVENT_TYPE_SERVERIDLE

    static final int EVENT_TYPE_SERVERIDLE

See Also:
  Constant Field Values

### EVENT_TYPE_DATABASESTART

    static final int EVENT_TYPE_DATABASESTART

See Also:
  Constant Field Values

### EVENT_TYPE_GROWTEMP

    static final int EVENT_TYPE_GROWTEMP

See Also:
  Constant Field Values

### EVENT_TYPE_GROWLOG

    static final int EVENT_TYPE_GROWLOG

See Also:
  Constant Field Values

### EVENT_TYPE_GROWNDB

    static final int EVENT_TYPE_GROWNDB

See Also:
  Constant Field Values

### DATE_FORMAT

    static final java.text.DateFormat DATE_FORMAT

  Used for event schedule FORMATTING only

### TIME_FORMAT

    static final java.text.DateFormat TIME_FORMAT